org.wso2.carbon.rest.api.stub.types.carbon

## Class ResourceData

- java.lang.Object
- - org.wso2.carbon.rest.api.stub.types.carbon.ResourceData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class ResourceData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  ResourceData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localContentType` field for ContentType
    `protected boolean` | `localContentTypeTracker`
    `protected String` | `localFaultSequenceKey` field for FaultSequenceKey
    `protected boolean` | `localFaultSequenceKeyTracker`
    `protected String` | `localFaultSeqXml` field for FaultSeqXml
    `protected boolean` | `localFaultSeqXmlTracker`
    `protected String` | `localInSequenceKey` field for InSequenceKey
    `protected boolean` | `localInSequenceKeyTracker`
    `protected String` | `localInSeqXml` field for InSeqXml
    `protected boolean` | `localInSeqXmlTracker`
    `protected String[]` | `localMethods` field for Methods This was an Array!
    `protected boolean` | `localMethodsTracker`
    `protected String` | `localOutSequenceKey` field for OutSequenceKey
    `protected boolean` | `localOutSequenceKeyTracker`
    `protected String` | `localOutSeqXml` field for OutSeqXml
    `protected boolean` | `localOutSeqXmlTracker`
    `protected int` | `localProtocol` field for Protocol
    `protected boolean` | `localProtocolTracker`
    `protected String` | `localUriTemplate` field for UriTemplate
    `protected boolean` | `localUriTemplateTracker`
    `protected String` | `localUrlMapping` field for UrlMapping
    `protected boolean` | `localUrlMappingTracker`
    `protected String` | `localUserAgent` field for UserAgent
    `protected boolean` | `localUserAgentTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMethods(String param)` Auto generated add method for the array for convenience
    `String` | `getContentType()` Auto generated getter method
    `String` | `getFaultSequenceKey()` Auto generated getter method
    `String` | `getFaultSeqXml()` Auto generated getter method
    `String` | `getInSequenceKey()` Auto generated getter method
    `String` | `getInSeqXml()` Auto generated getter method
    `String[]` | `getMethods()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getOutSequenceKey()` Auto generated getter method
    `String` | `getOutSeqXml()` Auto generated getter method
    `int` | `getProtocol()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getUriTemplate()` Auto generated getter method
    `String` | `getUrlMapping()` Auto generated getter method
    `String` | `getUserAgent()` Auto generated getter method
    `boolean` | `isContentTypeSpecified()`
    `boolean` | `isFaultSequenceKeySpecified()`
    `boolean` | `isFaultSeqXmlSpecified()`
    `boolean` | `isInSequenceKeySpecified()`
    `boolean` | `isInSeqXmlSpecified()`
    `boolean` | `isMethodsSpecified()`
    `boolean` | `isOutSequenceKeySpecified()`
    `boolean` | `isOutSeqXmlSpecified()`
    `boolean` | `isProtocolSpecified()`
    `boolean` | `isUriTemplateSpecified()`
    `boolean` | `isUrlMappingSpecified()`
    `boolean` | `isUserAgentSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setContentType(String param)` Auto generated setter method
    `void` | `setFaultSequenceKey(String param)` Auto generated setter method
    `void` | `setFaultSeqXml(String param)` Auto generated setter method
    `void` | `setInSequenceKey(String param)` Auto generated setter method
    `void` | `setInSeqXml(String param)` Auto generated setter method
    `void` | `setMethods(String[] param)` Auto generated setter method
    `void` | `setOutSequenceKey(String param)` Auto generated setter method
    `void` | `setOutSeqXml(String param)` Auto generated setter method
    `void` | `setProtocol(int param)` Auto generated setter method
    `void` | `setUriTemplate(String param)` Auto generated setter method
    `void` | `setUrlMapping(String param)` Auto generated setter method
    `void` | `setUserAgent(String param)` Auto generated setter method
    `protected void` | `validateMethods(String[] param)` validate the array for Methods

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localContentType

          protected String localContentType

      field for ContentType

    - #### localContentTypeTracker

          protected boolean localContentTypeTracker

    - #### localFaultSeqXml

          protected String localFaultSeqXml

      field for FaultSeqXml

    - #### localFaultSeqXmlTracker

          protected boolean localFaultSeqXmlTracker

    - #### localFaultSequenceKey

          protected String localFaultSequenceKey

      field for FaultSequenceKey

    - #### localFaultSequenceKeyTracker

          protected boolean localFaultSequenceKeyTracker

    - #### localInSeqXml

          protected String localInSeqXml

      field for InSeqXml

    - #### localInSeqXmlTracker

          protected boolean localInSeqXmlTracker

    - #### localInSequenceKey

          protected String localInSequenceKey

      field for InSequenceKey

    - #### localInSequenceKeyTracker

          protected boolean localInSequenceKeyTracker

    - #### localMethods

          protected String[] localMethods

      field for Methods This was an Array!

    - #### localMethodsTracker

          protected boolean localMethodsTracker

    - #### localOutSeqXml

          protected String localOutSeqXml

      field for OutSeqXml

    - #### localOutSeqXmlTracker

          protected boolean localOutSeqXmlTracker

    - #### localOutSequenceKey

          protected String localOutSequenceKey

      field for OutSequenceKey

    - #### localOutSequenceKeyTracker

          protected boolean localOutSequenceKeyTracker

    - #### localProtocol

          protected int localProtocol

      field for Protocol

    - #### localProtocolTracker

          protected boolean localProtocolTracker

    - #### localUriTemplate

          protected String localUriTemplate

      field for UriTemplate

    - #### localUriTemplateTracker

          protected boolean localUriTemplateTracker

    - #### localUrlMapping

          protected String localUrlMapping

      field for UrlMapping

    - #### localUrlMappingTracker

          protected boolean localUrlMappingTracker

    - #### localUserAgent

          protected String localUserAgent

      field for UserAgent

    - #### localUserAgentTracker

          protected boolean localUserAgentTracker

  - ### Constructor Detail

    - #### ResourceData

          public ResourceData()

  - ### Method Detail

    - #### isContentTypeSpecified

          public boolean isContentTypeSpecified()

    - #### getContentType

          public String getContentType()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setContentType

          public void setContentType(String param)

      Auto generated setter method
      Parameters:
        `param` - ContentType

    - #### isFaultSeqXmlSpecified

          public boolean isFaultSeqXmlSpecified()

    - #### getFaultSeqXml

          public String getFaultSeqXml()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFaultSeqXml

          public void setFaultSeqXml(String param)

      Auto generated setter method
      Parameters:
        `param` - FaultSeqXml

    - #### isFaultSequenceKeySpecified

          public boolean isFaultSequenceKeySpecified()

    - #### getFaultSequenceKey

          public String getFaultSequenceKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFaultSequenceKey

          public void setFaultSequenceKey(String param)

      Auto generated setter method
      Parameters:
        `param` - FaultSequenceKey

    - #### isInSeqXmlSpecified

          public boolean isInSeqXmlSpecified()

    - #### getInSeqXml

          public String getInSeqXml()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setInSeqXml

          public void setInSeqXml(String param)

      Auto generated setter method
      Parameters:
        `param` - InSeqXml

    - #### isInSequenceKeySpecified

          public boolean isInSequenceKeySpecified()

    - #### getInSequenceKey

          public String getInSequenceKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setInSequenceKey

          public void setInSequenceKey(String param)

      Auto generated setter method
      Parameters:
        `param` - InSequenceKey

    - #### isMethodsSpecified

          public boolean isMethodsSpecified()

    - #### getMethods

          public String[] getMethods()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateMethods

          protected void validateMethods(String[] param)

      validate the array for Methods

    - #### setMethods

          public void setMethods(String[] param)

      Auto generated setter method
      Parameters:
        `param` - Methods

    - #### addMethods

          public void addMethods(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isOutSeqXmlSpecified

          public boolean isOutSeqXmlSpecified()

    - #### getOutSeqXml

          public String getOutSeqXml()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setOutSeqXml

          public void setOutSeqXml(String param)

      Auto generated setter method
      Parameters:
        `param` - OutSeqXml

    - #### isOutSequenceKeySpecified

          public boolean isOutSequenceKeySpecified()

    - #### getOutSequenceKey

          public String getOutSequenceKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setOutSequenceKey

          public void setOutSequenceKey(String param)

      Auto generated setter method
      Parameters:
        `param` - OutSequenceKey

    - #### isProtocolSpecified

          public boolean isProtocolSpecified()

    - #### getProtocol

          public int getProtocol()

      Auto generated getter method
      Returns:
        int

    - #### setProtocol

          public void setProtocol(int param)

      Auto generated setter method
      Parameters:
        `param` - Protocol

    - #### isUriTemplateSpecified

          public boolean isUriTemplateSpecified()

    - #### getUriTemplate

          public String getUriTemplate()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setUriTemplate

          public void setUriTemplate(String param)

      Auto generated setter method
      Parameters:
        `param` - UriTemplate

    - #### isUrlMappingSpecified

          public boolean isUrlMappingSpecified()

    - #### getUrlMapping

          public String getUrlMapping()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setUrlMapping

          public void setUrlMapping(String param)

      Auto generated setter method
      Parameters:
        `param` - UrlMapping

    - #### isUserAgentSpecified

          public boolean isUserAgentSpecified()

    - #### getUserAgent

          public String getUserAgent()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setUserAgent

          public void setUserAgent(String param)

      Auto generated setter method
      Parameters:
        `param` - UserAgent

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.